## augustus 3.2.2+dfsg

=== Makefile ===
#
# Makefile for Augustus
#
include ../common.mk
CXX	= g++

# Notes: - "-Wno-sign-compare" eliminates a high number of warnings (see footnote below). Please adopt
#          a strict signed-only usage strategy to avoid mistakes since we are not warned about this.
#        - The order of object files in $(OBJS) IS IMPORTANT (see lldouble.hh)
CXXFLAGS := -Wall -Wno-sign-compare -Wno-strict-overflow -ansi -pedantic -O3 ${CXXFLAGS} # -DDEBUG -g -ggdb -pg -DDEBUG_STATES -DDEBUG 
ifdef SQLITE
	COMPGENEPRED = true
endif

ifdef MYSQL
	COMPGENEPRED = true
endif

ifdef ZIPINPUT
	CXXFLAGS += -DZIPINPUT
	LIBS    = -lboost_iostreams
endif

ifdef COMPGENEPRED
	CXXFLAGS += -std=c++0x -DCOMPGENEPRED
endif
INCLS	= -I../include

OBJS	= genbank.o properties.o pp_profile.o pp_hitseq.o pp_scoring.o statemodel.o namgene.o \
 types.o gene.o evaluation.o motif.o geneticcode.o hints.o extrinsicinfo.o projectio.o \
 intronmodel.o exonmodel.o igenicmodel.o utrmodel.o merkmal.o vitmatrix.o lldouble.o mea.o graph.o \
 meaPath.o exoncand.o randseqaccess.o fasta.o ncmodel.o
ifdef COMPGENEPRED
	OBJS += parser/parse.o scanner/lex.o genomicMSA.o geneMSA.o contTimeMC.o compgenepred.o phylotree.o orthograph.o orthoexon.o alignment.o speciesgraph.o
	LIBS += -lgsl -lgslcblas # for matrix exponentiation that is required in comparative gene finding
	LIBS += -llpsolve55 -lcolamd -ldl # for mixed integer linear programming (alignment.cc)
	INCLS += -I/usr/include/lpsolve
endif
DUMOBJS = dummy.o
TOBJS	= commontrain.o igenictrain.o introntrain.o exontrain.o utrtrain.o # contentmodel.o baumwelch.o
PROGR	= augustus etraining prepareAlign fastBlockSearch
INFO    = cxxflags

ifdef MYSQL
# replace RUNTIME_LIBPATH with your own run-time libpath if mysql++ is not installed system-wide, e.g.
# RUNTIME_LIBPATH = -Wl,-rpath=/home/mario/augustus/trunks/mysql++/mysql++-3.1.0/lib 
RUNTIME_LIBPATH = 
INCLS	+= -I/usr/include/mysql -I/usr/include/mysql++ # the path to mysql++ may have to be adjusted
LIBS 	+=  -lmysqlclient -lmysqlpp ${RUNTIME_LIBPATH} # -L/usr/local/lib/libmysqlpp.so.3.1.0
CXXFLAGS  += -DAMYSQL
PROGR   += load2db getSeq
endif

ifdef SQLITE
LIBS	  += -lsqlite3
OBJS	  += sqliteDB.o
CXXFLAGS  += -DSQLITE
PROGR     += load2sqlitedb getSeq
endif

all: $(OBJS) $(TOBJS) $(DUMOBJS) $(PROGR) info

.SUFFIXES:
.SUFFIXES: .cc .o .so

.cc.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $< $(INCLS)

augustus: augustus.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp augustus ../bin/

etraining: etraining.cc $(TOBJS) $(OBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp etraining ../bin/

evaluate: evaluate.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)

consensusFinder: consensusFinder.cc consensus.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp consensusFinder ../bin/

curve2hints: curve2hints.cc exon_seg.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp curve2hints ../bin/

fastBlockSearch: fastBlockSearch.cc pp_fastBlockSearcher.o \
	types.o properties.o geneticcode.o pp_profile.o lldouble.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp fastBlockSearch ../bin/

prepareAlign: pp_prepare_align.cc
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^
	cp prepareAlign ../bin/

load2db: load2db.cc fasta.o hints.o types.o properties.o lldouble.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp load2db ../bin/

load2sqlitedb: load2sqlitedb.cc fasta.o hints.o types.o properties.o lldouble.o sqliteDB.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp load2sqlitedb ../bin/

getSeq: getSeq.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp getSeq ../bin/

info:
	echo "$(CXXFLAGS)" > $(INFO)

clean:
	rm -f ../bin/* $(PROGR) $(OBJS) $(DUMOBJS) $(TOBJS) consensus.o exon_seg.o pp_fastBlockSearcher.o  $(INFO)

tidy: clean
	rm -f *~ *.o *.rej *.orig ../include/*~ ../include/*.orig ../include/*.rej $(INFO)

augustus.o : \
	../include/evaluation.hh \
	../include/extrinsicinfo.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	augustus.cc

dummy.o : \
	../include/exonmodel.hh \
	../include/igenicmodel.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/utrmodel.hh \
	../include/vitmatrix.hh \
	dummy.cc

etraining.o : \
	../include/extrinsicinfo.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	etraining.cc

evaluate.o : \
	../include/evaluation.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	evaluate.cc

evaluation.o : \
	../include/evaluation.hh \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	evaluation.cc

exonmodel.o : \
	../include/exonmodel.hh \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	exonmodel.cc

exontrain.o : \
	../include/commontrain.hh \
	../include/exonmodel.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	exontrain.cc

extrinsicinfo.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	extrinsicinfo.cc

genbank.o : \
	../include/genbank.hh \
	../include/fasta.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	genbank.cc

gene.o : \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	gene.cc

geneticcode.o : \
	../include/geneticcode.hh \
	../include/types.hh \
	geneticcode.cc

hints.o : \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/types.hh \
	hints.cc

igenicmodel.o : \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/igenicmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	igenicmodel.cc

igenictrain.o : \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/igenicmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	igenictrain.cc

intronmodel.o : \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	intronmodel.cc

introntrain.o : \
	../include/commontrain.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	introntrain.cc

lldouble.o : \
	../include/lldouble.hh \
	lldouble.cc

logdoubletest.o : \
	../include/lldouble.hh \
	logdoubletest.cc

motif.o : \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	motif.cc

namgene.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/mea.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	../include/exoncand.hh \
	namgene.cc

projectio.o : \
	../include/projectio.hh \
	projectio.cc

properties.o : \
	../include/lldouble.hh \
	../include/properties.hh \
	../include/types.hh \
	properties.cc

statemodel.o : \
	../include/exonmodel.hh \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/igenicmodel.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/utrmodel.hh \
	../include/vitmatrix.hh \
	statemodel.cc

types.o : \
	../include/lldouble.hh \
	../include/properties.hh \
	../include/types.hh \
	types.cc

utrmodel.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/utrmodel.hh \
	../include/vitmatrix.hh \
	utrmodel.cc

utrtrain.o : \

=== bam2wig/Makefile ===
# Makefile of bam2wig
#
# NOTE: Modify the variable SAMTOOLS according to where your samtools software has been installed
#
# Created: 12-June-2012
# Last modified: 07-April-2014
#

PROGRAM = bam2wig
SOURCES = $(PROGRAM) bam_index.o 
OBJECTS = $(SOURCES:.c=.o)
TOOLDIR=/home/mario/tools
SAMTOOLS=$(TOOLDIR)/samtools/
HTSLIB=$(TOOLDIR)/htslib/
BCFTOOLS=$(TOOLDIR)/bcftools/
TABIX=$(TOOLDIR)/tabix/
INCLUDES=-I$(SAMTOOLS) -I. -I$(HTSLIB) -I$(BCFTOOLS) -I$(TABIX)
VPATH=$(SAMTOOLS)
LIBS=$(SAMTOOLS)/libbam.a $(HTSLIB)/libhts.a -lcurses -lm -lz -lpthread
CFLAGS= -g -Wall -O2 $(INCLUDES)
CC=gcc

$(PROGRAM) : bam2wig.o bam_index.o
	$(CC) $(CFLAGS) $^ -o $@ $(LIBS)

bam2wig.o : bam2wig.c 
	$(CC) $(CFLAGS) -c $^ -o $@ $(INCLUDES)

clean: 
	rm -f $(OBJECTS) bam2wig.o

=== homGeneMapping/src/Makefile ===
#
# Makefile for homGeneMapping
#
# BOOST = true

CC      = g++

# Notes: - "-Wno-sign-compare" eliminates a high number of warnings (see footnote below). Please adopt
#          a strict signed-only usage strategy to avoid mistakes since we are not warned about this.
#        - The order of object files in $(OBJS) IS IMPORTANT (see lldouble.hh)
CFLAGS := -Wall -Wno-sign-compare -ansi -pedantic -std=c++0x -pthread -O2 ${CFLAGS} # -DDEBUG -g -ggdb -pg

INCLS	= -I../include

OBJS	= gene.o genome.o

ifdef BOOST
	CFLAGS += -DBOOST
	INCLS +=  # add the boost include path here, if boost ist not installed system-wide
endif

all: homGeneMapping

.SUFFIXES:
.SUFFIXES: .cc .o .so

.cc.o:
	$(CC) -c $(CFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $< $(INCLS)

homGeneMapping: main.cc $(OBJS)
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^ $(INCLS)
	cp homGeneMapping ../../../bin/homGeneMapping

clean:
	rm -f homGeneMapping $(OBJS)

main.o : \
	../include/genome.hh \
	../include/projectio.hh \
	main.cc

gene.o : \
	../include/gene.hh \
	../include/projectio.hh \
	gene.cc

genome.o : \
	../include/genome.hh \
	../include/bitmasking.hh \
	../include/gene.hh \
	genome.cc

=== debian/changelog ===
augustus (3.2.2+dfsg-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:10:49 +0000

augustus (3.2.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #819355)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 02 Apr 2016 20:13:40 +0000

=== debian/control ===
Source: augustus
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
Build-Depends: debhelper (>= 9), libsqlite3-dev, libboost-iostreams-dev,
               zlib1g-dev, libgsl-dev, liblpsolve55-dev,
               libbamtools-dev, libbam-dev, libhts-dev, libncurses5-dev,
               asciidoctor
Standards-Version: 3.9.7
Testsuite: autopkgtest
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/augustus.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/augustus.git
Homepage: http://bioinf.uni-greifswald.de/augustus/

Package: augustus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgsl2,
         zlib1g,
         augustus-data,
         libbamtools2.4.0,
         libhts1,
         libncurses5
Description: gene prediction in eukaryotic genomes
 AUGUSTUS is a software for gene prediction in eukaryotic genomic sequences
 that is based on a generalized hidden Markov model (HMM), a probabilistic
 model of a sequence and its gene structure. After learning gene structures
 from a reference annotation, AUGUSTUS uses the HMM to recognize genes in a new
 sequence and annotates it with the regions of identified genes. External hints,
 e.g. from RNA sequencing, EST or protein alignments etc. can be used to guide
 and improve the gene finding process. The result is the set of most likely gene
 structures that comply with all given user constraints, if such gene
 structures exist.
 AUGUSTUS already includes prebuilt HMMs for many species, as well as scripts
 to train custom models using annotated genomes.

Package: augustus-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for AUGUSTUS
 This package contains pre-trained species models and other required
 architecture-independent data files for the AUGUSTUS gene finder. These are
 needed to identify gene structures in these or related organisms.

Package: augustus-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: documentation files for AUGUSTUS
 This package contains documentation for AUGUSTUS: a comprehensive manual-style
 README both for AUGUSTUS in general as well as for its comparative gene
 prediction (cgp) mode, as well as a HTML tutorial.

## augustus 3.2.3+dfsg

=== Makefile ===
#
# Makefile for Augustus
#
include common.mk

all:
	mkdir -p bin
	cd src && ${MAKE}
	cd auxprogs && ${MAKE}

clean:
	cd src && ${MAKE} clean
	cd auxprogs && ${MAKE} clean

INSTALLDIR = /opt/augustus-$(AUGVERSION)

install:
	install -d $(INSTALLDIR)
	cp -a config bin scripts $(INSTALLDIR)
	ln -sf $(INSTALLDIR)/bin/augustus /usr/local/bin/augustus
	ln -sf $(INSTALLDIR)/bin/etraining /usr/local/bin/etraining
	ln -sf $(INSTALLDIR)/bin/prepareAlign /usr/local/bin/prepareAlign
	ln -sf $(INSTALLDIR)/bin/fastBlockSearch /usr/local/bin/fastBlockSearch
	ln -sf $(INSTALLDIR)/bin/load2db /usr/local/bin/load2db
	ln -sf $(INSTALLDIR)/bin/getSeq /usr/local/bin/getSeq
	ln -sf $(INSTALLDIR)/bin/espoca /usr/local/bin/espoca

# for internal purposes:
release:
	find . -name .svn | xargs rm -rf
	find . -name "*~" | xargs rm -f
	rm -f src/makedepend.pl
	rm -r augustus-training
	cd docs/tutorial2015/results; ls | grep -v do.sh | grep -v README | xargs rm; cd -
	make clean all
	make clean
	cd config/species; rm -rf tobacco xeno1 bombus_terrestris{1,3} symsag xenoturbella meara pavar newest elegans maker2_*
	rm generic/*.pbl
	cd src/parser; rm Makefile; cd -
	tar -czf ../augustus-$(AUGVERSION).tar.gz .

# remove -static from src/Makefile for MAC users
# remove -g -gdb from CXXFLAGS
# make COMPGENEPRED = true and SQLITE = true and MYSQL = true a comment

=== auxprogs/Makefile ===
# Makefile for auxprogs
#
# Created on: 16-October-2016
# Last modified on: 16-October-2016 by Katharina Hoff (katharina.hoff@gmail.com)

all:
	cd bam2hints; make;
	cd compileSpliceCands; make;
	cd filterBam; make;
	cd homGeneMapping; make;
	cd joingenes; make;
clean:
	cd bam2hints; make clean;
	cd compileSpliceCands; make clean;
	cd filterBam; make clean;
	cd homGeneMapping; make clean;
	cd joingenes; make clean;

=== src/Makefile ===
#
# Makefile for Augustus
#
include ../common.mk
CXX	= g++

# Notes: - "-Wno-sign-compare" eliminates a high number of warnings (see footnote below). Please adopt
#          a strict signed-only usage strategy to avoid mistakes since we are not warned about this.
#        - The order of object files in $(OBJS) IS IMPORTANT (see lldouble.hh)
CXXFLAGS := -Wall -Wno-sign-compare -Wno-strict-overflow -ansi -pedantic -O3 ${CXXFLAGS} # -DDEBUG -g -ggdb -pg -DDEBUG_STATES -DDEBUG 
ifdef SQLITE
	COMPGENEPRED = true
endif

ifdef MYSQL
	COMPGENEPRED = true
endif

ifdef ZIPINPUT
	CXXFLAGS += -DZIPINPUT
	LIBS    = -lboost_iostreams
endif

ifdef COMPGENEPRED
	CXXFLAGS += -std=c++0x -DCOMPGENEPRED
endif
INCLS	= -I../include

OBJS	= genbank.o properties.o pp_profile.o pp_hitseq.o pp_scoring.o statemodel.o namgene.o \
 types.o gene.o evaluation.o motif.o geneticcode.o hints.o extrinsicinfo.o projectio.o \
 intronmodel.o exonmodel.o igenicmodel.o utrmodel.o merkmal.o vitmatrix.o lldouble.o mea.o graph.o \
 meaPath.o exoncand.o randseqaccess.o fasta.o ncmodel.o
ifdef COMPGENEPRED
	OBJS += parser/parse.o scanner/lex.o genomicMSA.o geneMSA.o contTimeMC.o compgenepred.o phylotree.o orthograph.o orthoexon.o alignment.o speciesgraph.o codonMSA.o
	LIBS += -lgsl -lgslcblas # for matrix exponentiation that is required in comparative gene finding
	LIBS += -llpsolve55 -lcolamd -ldl # for mixed integer linear programming (alignment.cc)
	INCLS += -I/usr/include/lpsolve
endif
DUMOBJS = dummy.o
TOBJS	= commontrain.o igenictrain.o introntrain.o exontrain.o utrtrain.o # contentmodel.o baumwelch.o
PROGR	= augustus etraining prepareAlign fastBlockSearch
INFO    = cxxflags

ifdef MYSQL
# replace RUNTIME_LIBPATH with your own run-time libpath if mysql++ is not installed system-wide, e.g.
# RUNTIME_LIBPATH = -Wl,-rpath=/home/mario/augustus/trunks/mysql++/mysql++-3.1.0/lib 
RUNTIME_LIBPATH = 
INCLS	+= -I/usr/include/mysql -I/usr/include/mysql++ # the path to mysql++ may have to be adjusted
LIBS 	+=  -lmysqlclient -lmysqlpp ${RUNTIME_LIBPATH} # -L/usr/local/lib/libmysqlpp.so.3.1.0
CXXFLAGS  += -DAMYSQL
PROGR   += load2db getSeq
endif

ifdef SQLITE
LIBS	  += -lsqlite3
OBJS	  += sqliteDB.o
CXXFLAGS  += -DSQLITE
PROGR     += load2sqlitedb getSeq
endif

ifdef COMPGENEPRED
PROGR     += espoca
endif

all: $(OBJS) $(TOBJS) $(DUMOBJS) $(PROGR) info

.SUFFIXES:
.SUFFIXES: .cc .o .so

.cc.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $< $(INCLS)

augustus: augustus.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp augustus ../bin/

etraining: etraining.cc $(TOBJS) $(OBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp etraining ../bin/

evaluate: evaluate.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)

consensusFinder: consensusFinder.cc consensus.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp consensusFinder ../bin/

curve2hints: curve2hints.cc exon_seg.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp curve2hints ../bin/

fastBlockSearch: fastBlockSearch.cc pp_fastBlockSearcher.o \
	types.o properties.o geneticcode.o pp_profile.o lldouble.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp fastBlockSearch ../bin/

prepareAlign: pp_prepare_align.cc
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^
	cp prepareAlign ../bin/

load2db: load2db.cc fasta.o hints.o types.o properties.o lldouble.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp load2db ../bin/

load2sqlitedb: load2sqlitedb.cc fasta.o hints.o types.o properties.o lldouble.o sqliteDB.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp load2sqlitedb ../bin/

getSeq: getSeq.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp getSeq ../bin/

espoca: espoca.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp espoca ../bin/ 

info:
	echo "$(CXXFLAGS)" > $(INFO)

clean:
	rm -f ../bin/* $(PROGR) $(OBJS) $(DUMOBJS) $(TOBJS) consensus.o exon_seg.o pp_fastBlockSearcher.o  $(INFO)

tidy: clean
	rm -f *~ *.o *.rej *.orig ../include/*~ ../include/*.orig ../include/*.rej $(INFO)

augustus.o : \
	../include/evaluation.hh \
	../include/extrinsicinfo.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/codonMSA.hh \
	augustus.cc

dummy.o : \
	../include/exonmodel.hh \
	../include/igenicmodel.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/utrmodel.hh \
	../include/vitmatrix.hh \
	dummy.cc

etraining.o : \
	../include/extrinsicinfo.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	etraining.cc

evaluate.o : \
	../include/evaluation.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	evaluate.cc

evaluation.o : \
	../include/evaluation.hh \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	evaluation.cc

exonmodel.o : \
	../include/exonmodel.hh \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	exonmodel.cc

exontrain.o : \
	../include/commontrain.hh \
	../include/exonmodel.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	exontrain.cc

extrinsicinfo.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	extrinsicinfo.cc

genbank.o : \
	../include/genbank.hh \
	../include/fasta.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	genbank.cc

gene.o : \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	gene.cc

geneticcode.o : \
	../include/geneticcode.hh \
	../include/types.hh \
	geneticcode.cc

hints.o : \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/types.hh \
	hints.cc

igenicmodel.o : \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/igenicmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	igenicmodel.cc

igenictrain.o : \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/igenicmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	igenictrain.cc

intronmodel.o : \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	intronmodel.cc

introntrain.o : \
	../include/commontrain.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	introntrain.cc

lldouble.o : \
	../include/lldouble.hh \
	lldouble.cc

logdoubletest.o : \
	../include/lldouble.hh \
	logdoubletest.cc

motif.o : \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	motif.cc

namgene.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/mea.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	../include/exoncand.hh \
	namgene.cc

projectio.o : \
	../include/projectio.hh \
	projectio.cc

properties.o : \
	../include/lldouble.hh \
	../include/properties.hh \
	../include/types.hh \
	properties.cc

statemodel.o : \
	../include/exonmodel.hh \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/igenicmodel.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/utrmodel.hh \
	../include/vitmatrix.hh \
	statemodel.cc

types.o : \
	../include/lldouble.hh \
	../include/properties.hh \
	../include/types.hh \
	types.cc

utrmodel.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \

=== auxprogs/bam2hints/Makefile ===
#	Makefile corresponding to BAM2HINTS
#	
# 	NOTE:
#	a) "-g" option allows for debugging
#	b) libbamtools.a and lz library are used during the linking process
#
# 	Created: 14-December-2011
#	Last modified:  09-October-2015 by Katharina J. Hoff

# Variable definition
INCLUDES = /usr/include/bamtools
LIBS = -lbamtools -lz
SOURCES = bam2hints.cc 
OBJECTS = $(SOURCES:.cc=.o)
CXXFLAGS += -Wall -O2 # -g -p -g -ggdb 

LINK.cc = g++

# Recipe(s)
# $@: full target name of current target. 
# $<: .c file of target. 
bam2hints : $(OBJECTS) 
	$(LINK.cc) $(CXXFLAGS) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBS) 
	cp bam2hints ../../bin

all:$(OBJECTS) # Compiles each foo.cc into foo.o

bam2hints.o : $(SOURCES)
	$(LINK.cc) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -c $< -o $@ -I$(INCLUDES) 

clean:
	rm -f bam2hints.o bam2hints ../../bin/bam2hints

=== auxprogs/homGeneMapping/Makefile ===
#	Makefile for homGeneMapping
#
#	Created: 16-October-2015
#	Last modified: 16-October-2015 by Katharina Hoff (katharina.hoff@gmail.com)

all:
	(cd src; make)

clean:
	(cd src; make clean; cd ../bin; rm -f homGeneMapping; cd ../../../bin; rm -f homGeneMapping)

=== debian/changelog ===
augustus (3.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Refresh and drop patches.
  * Adjust excluded files due to upstream source changes.
  * Drop unused overrides.
  * Use man pages provided by upstream.
  * Fix spelling errors.
  * Use debhelper 10.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 11 Dec 2016 10:25:18 +0000

augustus (3.2.2+dfsg-2) unstable; urgency=medium

  * Update uploader email address.
  * Fix manpage option entry.
  * Avoid use of PATH_MAX. This enables building on Hurd.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 25 Sep 2016 13:00:07 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
-Build-Depends: debhelper (>= 9), libsqlite3-dev, libboost-iostreams-dev,
+Uploaders: Sascha Steinbiss <satta@debian.org>
+Build-Depends: debhelper (>= 10), libsqlite3-dev, libboost-iostreams-dev,
                zlib1g-dev, libgsl-dev, liblpsolve55-dev,
                libbamtools-dev, libbam-dev, libhts-dev, libncurses5-dev,
                asciidoctor
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/augustus.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/augustus.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
.PHONY: bam2hints homGeneMapping checkTargetSortedness joingenes

%:
	dh $@ --parallel

bin:
	mkdir -p bin

bam2hints: bin
	$(MAKE) -C auxprogs/bam2hints

homGeneMapping: bin
	$(MAKE) -C auxprogs/homGeneMapping/src

checkTargetSortedness: bin
	$(MAKE) -C auxprogs/checkTargetSortedness

joingenes: bin
	$(MAKE) -C auxprogs/joingenes

override_dh_auto_clean:
	$(MAKE) -C auxprogs/bam2hints clean
	$(MAKE) -C auxprogs/homGeneMapping/src clean
	$(MAKE) -C auxprogs/joingenes clean
	rm -rf bin

override_dh_auto_build: bam2hints homGeneMapping checkTargetSortedness joingenes bin
	dh_auto_build
	asciidoctor -a docdate='' -b manpage debian/mansrc/*adoc

override_dh_installchangelogs:
	dh_installchangelogs -k HISTORY.TXT

override_dh_auto_install:
	mkdir -p         debian/augustus/usr/bin
	install bin/*    debian/augustus/usr/bin
	install auxprogs/checkTargetSortedness/checkTargetSortedness \
	                 debian/augustus/usr/bin
	install auxprogs/homGeneMapping/src/homGeneMapping \
	                 debian/augustus/usr/bin
	install auxprogs/joingenes/joingenes \
	                 debian/augustus/usr/bin
	mkdir -p         debian/augustus/usr/share/augustus
	cp -r scripts    debian/augustus/usr/share/augustus
	chmod -R -x      debian/augustus/usr/share/augustus/scripts/*
	chmod +x         debian/augustus/usr/share/augustus/scripts/checkUTR \
	                 debian/augustus/usr/share/augustus/scripts/*.pl
	mkdir -p         debian/augustus-doc/usr/share/doc/augustus
	cp README*       debian/augustus-doc/usr/share/doc/augustus
	cp docs/*.txt    debian/augustus-doc/usr/share/doc/augustus
	cp -r docs/tutorial \
	                 debian/augustus-doc/usr/share/doc/augustus
	mkdir -p         debian/augustus-data/usr/share/augustus
	cp -r config     debian/augustus-data/usr/share/augustus
	find             debian/augustus-data/usr/share/augustus \
	  -type f -exec chmod -x {} \;

override_dh_compress:
	dh_compress -Xtutorial

## augustus 3.3%2Bdfsg

=== auxprogs/filterBam/Makefile ===
#	Makefile for filterBam.cc and filterBam.tex
#
# 	Created: 28-February-2012
#	Last modified: 15-October-2015

all: 
	(cd src;make)

clean:
	(cd src; make clean; cd ../bin; rm -f filterBam; cd ../../../bin; rm -f filterBam)

## augustus 3.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -34,10 +34,10 @@
 	cd docs/tutorial2015/results; ls | grep -v do.sh | grep -v README | xargs rm; cd -
 	make clean all
 	make clean
-	cd config/species; rm -rf tobacco xeno1 bombus_terrestris{1,3} symsag xenoturbella meara pavar newest elegans maker2_*
+	cd config/species; rm -rf tobacco xeno1 bombus_terrestris{1,3} symsag xenoturbella meara pavar newest elegans maker2_* lizard
 	rm generic/*.pbl
 	cd src/parser; rm Makefile; cd -
-	tar -czf ../augustus-$(AUGVERSION).tar.gz .
+	cd ..; tar -czf augustus-$(AUGVERSION).tar.gz augustus
 
 # remove -static from src/Makefile for MAC users
 # remove -g -gdb from CXXFLAGS

=== src/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
  intronmodel.o exonmodel.o igenicmodel.o utrmodel.o merkmal.o vitmatrix.o lldouble.o mea.o graph.o \
  meaPath.o exoncand.o randseqaccess.o fasta.o ncmodel.o
 ifdef COMPGENEPRED
-	OBJS += parser/parse.o scanner/lex.o genomicMSA.o geneMSA.o contTimeMC.o compgenepred.o phylotree.o orthograph.o orthoexon.o alignment.o speciesgraph.o codonMSA.o
+	OBJS += parser/parse.o scanner/lex.o genomicMSA.o geneMSA.o contTimeMC.o compgenepred.o phylotree.o orthograph.o orthoexon.o alignment.o speciesgraph.o codonMSA.o train_logReg_param.o
 	LIBS += -lgsl -lgslcblas # for matrix exponentiation that is required in comparative gene finding
 	LIBS += -llpsolve55 -lcolamd -ldl # for mixed integer linear programming (alignment.cc)
 	INCLS += -I/usr/include/lpsolve

=== auxprogs/aln2wig/Makefile ===
CFLAGS := -Wall -Wno-sign-compare -ansi -pedantic -O2 -ggdb ${CFLAGS}

aln2wig : aln2wig.o
	gcc $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o aln2wig aln2wig.o;
	cp aln2wig ../../bin
aln2wig.o : aln2wig.c
	gcc $(CPPFLAGS) $(CXXFLAGS) $(CFLAGS) $(LDFLAGS) -c aln2wig.c

all : aln2wig

clean :
	rm -f aln2wig aln2wig.o; rm -f ../../bin/aln2wig

=== auxprogs/bam2wig/Makefile ===
# Makefile of bam2wig
#
# NOTE: Modify the variable SAMTOOLS according to where your samtools software has been installed
#
# Created: 12-June-2012
# Last modified: 07-April-2014
#

PROGRAM = bam2wig
SOURCES = $(PROGRAM)
OBJECTS = $(SOURCES:.c=.o)
TOOLDIR=/home/mario/tools
SAMTOOLS=$(TOOLDIR)/samtools/
HTSLIB=$(TOOLDIR)/htslib/
BCFTOOLS=$(TOOLDIR)/bcftools-1.2/
TABIX=$(TOOLDIR)/tabix/
INCLUDES=-I$(SAMTOOLS) -I. -I$(HTSLIB) -I$(BCFTOOLS) -I$(TABIX)
VPATH=$(SAMTOOLS)
LIBS=$(SAMTOOLS)/libbam.a $(HTSLIB)/libhts.a -lcurses -lm -lz -lpthread
CFLAGS=-Wall -O2 $(INCLUDES)
CC=gcc

$(PROGRAM) : bam2wig.o
	$(CC) $(CFLAGS) $^ -o $@ $(LIBS)

bam2wig.o : bam2wig.c
	$(CC) $(CFLAGS) -c $^ -o $@ $(INCLUDES)

clean:
	rm -f $(OBJECTS) bam2wig.o

=== auxprogs/filterBam/src/Makefile ===
#	Makefile for filterBam
#
# 	Created: 11-November-2011
#	Last modified: 4-March-2012


SOURCES = filterBam.cc MatePairs.cc getReferenceName.cc initOptions.cc SingleAlignment.cc \
			printElapsedTime.cc sumMandIOperations.cc sumDandIOperations.cc PairednessCoverage.cc
PROGRAM = filterBam
OBJECTS = $(SOURCES:.cc=.o)
BAMTOOLS = /usr/include/bamtools
INCLUDES = -I$(BAMTOOLS) -Iheaders -I./bamtools
LIBS = -lbamtools -lz
CFLAGS = -std=c++0x
VPATH = functions

all : $(PROGRAM) $(OBJECTS) CHECKBAM BIN

BIN : $(PROGRAM) CHECKBAM
	cp filterBam ../../../bin/filterBam

CHECKBAM:
	@if [ -z "${BAMTOOLS}" ]; then \
		echo '[Makefile]: $${BAMTOOLS} has not been set.'; \
		exit 101; \
	elif [ "${BAMTOOLS}" ]; then \
		echo "filterBam compiled with BAMTOOLS=${BAMTOOLS}"; \
	fi

$(PROGRAM) : $(OBJECTS)
	$(LINK.cc) $(CFLAGS) $(LDFLAGS) $^ -o $@ $(LIBS) 

$(OBJECTS) : %.o:%.cc
	$(LINK.cc) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@ $(INCLUDES)


clean:
	rm -f *~ $(OBJECTS)

=== debian/changelog ===
augustus (3.3+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:09:26 +0000

augustus (3.3+dfsg-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added registry entries for bio.tools and OMICtools.

  [ Sascha Steinbiss ]
  * Remove explicit dependencies to shared libraries.
    Closes: #869126
  * Make sure dynamic linking is used throughout the package.
    One exception is an executable still using the legacy samtools
    API, for which it links statically against the libbam.a provided
    by libbam-dev. Added a Built-Using entry for that.
    Thanks to Mattia Rizzolo for the hint.
  * Sanitize runtime dependencies.
  * Add missing auxtools to package.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 28 Jul 2017 21:32:29 +0200

augustus (3.3+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added RRID (SCR_008417)

  [ Sascha Steinbiss ]
  * New upstream release.
  * Adjust excluded files as upstream chose to include some new binaries.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 17 Jul 2017 19:03:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                zlib1g-dev, libgsl-dev, liblpsolve55-dev,
                libbamtools-dev, libbam-dev, libhts-dev, libncurses5-dev,
                asciidoctor
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/augustus.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/augustus.git
@@ -17,12 +17,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgsl2,
-         zlib1g,
-         augustus-data,
-         libbamtools2.4.0,
-         libhts1,
-         libncurses5
+         augustus-data
+Built-Using: samtools-legacy (= 0.1.19-2)
 Description: gene prediction in eukaryotic genomes
  AUGUSTUS is a software for gene prediction in eukaryotic genomic sequences
  that is based on a generalized hidden Markov model (HMM), a probabilistic

=== debian/rules ===
--- 
+++ 
@@ -9,25 +9,42 @@
 bin:
 	mkdir -p bin
 
+aln2wig: bin
+		$(MAKE) -C auxprogs/aln2wig
+
 bam2hints: bin
 	$(MAKE) -C auxprogs/bam2hints
 
-homGeneMapping: bin
-	$(MAKE) -C auxprogs/homGeneMapping/src
+bam2wig: bin
+		$(MAKE) -C auxprogs/bam2wig
 
 checkTargetSortedness: bin
 	$(MAKE) -C auxprogs/checkTargetSortedness
+
+compileSpliceCands: bin
+	$(MAKE) -C auxprogs/compileSpliceCands
+
+filterBam: bin
+	$(MAKE) -C auxprogs/filterBam
+
+homGeneMapping: bin
+	$(MAKE) -C auxprogs/homGeneMapping/src
 
 joingenes: bin
 	$(MAKE) -C auxprogs/joingenes
 
 override_dh_auto_clean:
 	$(MAKE) -C auxprogs/bam2hints clean
-	$(MAKE) -C auxprogs/homGeneMapping/src clean
+	$(MAKE) -C auxprogs/homGeneMapping clean
 	$(MAKE) -C auxprogs/joingenes clean
+	$(MAKE) -C auxprogs/aln2wig clean
+	$(MAKE) -C auxprogs/bam2wig clean
+	$(MAKE) -C auxprogs/checkTargetSortedness clean
+	$(MAKE) -C auxprogs/compileSpliceCands clean
+	$(MAKE) -C auxprogs/filterBam clean
 	rm -rf bin
 
-override_dh_auto_build: bam2hints homGeneMapping checkTargetSortedness joingenes bin
+override_dh_auto_build: aln2wig bam2hints bam2wig checkTargetSortedness compileSpliceCands filterBam homGeneMapping joingenes
 	dh_auto_build
 	asciidoctor -a docdate='' -b manpage debian/mansrc/*adoc
 
@@ -38,16 +55,22 @@
 	mkdir -p         debian/augustus/usr/bin
 	install bin/*    debian/augustus/usr/bin
 	install auxprogs/checkTargetSortedness/checkTargetSortedness \
-	                 debian/augustus/usr/bin
+                   debian/augustus/usr/bin
+	install auxprogs/bam2wig/bam2wig \
+                   debian/augustus/usr/bin
+	install auxprogs/compileSpliceCands/compileSpliceCands \
+                   debian/augustus/usr/bin
 	install auxprogs/homGeneMapping/src/homGeneMapping \
-	                 debian/augustus/usr/bin
+                   debian/augustus/usr/bin
 	install auxprogs/joingenes/joingenes \
 	                 debian/augustus/usr/bin
 	mkdir -p         debian/augustus/usr/share/augustus
 	cp -r scripts    debian/augustus/usr/share/augustus
 	chmod -R -x      debian/augustus/usr/share/augustus/scripts/*
+	rm -rf           debian/augustus/usr/share/augustus/scripts/*.patch \
+	                 debian/augustus/usr/share/augustus/scripts/aln2wig
 	chmod +x         debian/augustus/usr/share/augustus/scripts/checkUTR \
-	                 debian/augustus/usr/share/augustus/scripts/*.pl
+	                 debian/augustus/usr/share/augustus/scripts/*.pl*
 	mkdir -p         debian/augustus-doc/usr/share/doc/augustus
 	cp README*       debian/augustus-doc/usr/share/doc/augustus
 	cp docs/*.txt    debian/augustus-doc/usr/share/doc/augustus

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://bioinf.uni-greifswald.de/augustus/binaries/augustus-(.*)\.tar\.gz
